Bug 240791 - Firewall settings are not saved
Firewall settings are not saved
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
: 240869 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 13:14 EDT by Carlo de Wolf
Modified: 2007-11-30 17:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 06:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (482 bytes, patch)
2007-07-28 11:17 EDT, Mattias Karlsson
no flags Details | Diff

  None (edit)
Description Carlo de Wolf 2007-05-21 13:14:28 EDT
Description of problem:

When I change something in the firewall settings (add a port, enable / disable)
and I press either Apply or OK, the settings are not persisted.

Version-Release number of selected component (if applicable):

6.93 rawhide

How reproducible:

Open system-config-securitylevel panel, disable firewall, click OK, open panel
again and it opens with 'Enabled'.

Steps to Reproduce:
1. System->Administration->Firewall and SELinux
2. Firewall: choose Disabled
3. Click OK
4. Again System->Administration->Firewall and SELinux
5. Observe 'Enabled'

Expected results:

- Observe 'Disabled'
(and have a disabled firewall :-) )
Comment 1 Carlo de Wolf 2007-05-21 13:17:15 EDT
Workaround: system-config-securitylevel-tui does allow port changes.
Comment 2 Stefan Orbilt 2007-06-10 15:33:13 EDT
I can confirm this problem in Fedora 7 (Moonshine). Another workaround is to add
the "Other port" you need and then check and uncheck one of the predefined
service ports. Then you are finally asked if you want to save the config.
Comment 3 Martin Jürgens 2007-07-04 17:30:25 EDT
confirmed, workarounds work.
Comment 4 Gerry Reno 2007-07-04 22:38:59 EDT
I can also confirm this in Fedora 7 (Moonshine)

Comment 5 Martin Jürgens 2007-07-05 04:54:58 EDT
bug 240869 and bug 236175 seem to be duplicates.
Comment 6 Thomas Woerner 2007-07-17 13:12:10 EDT
*** Bug 240869 has been marked as a duplicate of this bug. ***
Comment 7 Andrea Musuruane 2007-07-20 04:43:32 EDT
Probably duplicates of this bug: 247761, 247564, 247544.
Comment 8 Andrea Musuruane 2007-07-20 04:54:08 EDT
BTW, this bug also applies to i386.
Comment 9 Andrew 2007-07-26 08:45:47 EDT
(In reply to comment #8)
> BTW, this bug also applies to i386.

Is there anymore progress in this area, i use this alot to change and add ports 
to the system, the workaround is getting old
Comment 10 Mattias Karlsson 2007-07-28 11:17:16 EDT
Created attachment 160164 [details]
Patch

This patch ought to fix the problem.

cheers
Comment 11 Thomas Woerner 2007-07-31 06:18:22 EDT
Fixed in rawhide in package system-config-securitylevel-1.7.0-4.fc8.
Comment 12 Andrew 2007-07-31 07:07:01 EDT
thats great ..how do i apply the patch ?
Comment 13 Thomas Woerner 2007-07-31 07:16:12 EDT
Just use yum and upgrade to system-config-securitylevel-1.7.0-4.fc8 and
system-config-securitylevel-tui-1.7.0-4.fc8.

Note You need to log in before you can comment on or make changes to this bug.